Bug 523033 - setroubleshoot: SELinux is preventing /usr/sbin/abrtd "signull" access.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/abrtd "signull" access.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:c0e9e1d48a1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-13 14:49 UTC by Horst H. von Brand
Modified: 2018-04-11 19:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 16:19:24 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2009-09-13 14:49:27 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/sbin/abrtd "signull" access.

Detailed Description:

[abrtd has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                unconfined_u:system_r:rpm_t:s0-s0:c0.c1023
Target Objects                None [ process ]
Source                        abrtd
Source Path                   /usr/sbin/abrtd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-0.0.8.5-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.31-3.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-2.fc12.x86_64
                              #1 SMP Thu Sep 10 00:25:40 EDT 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Sun 13 Sep 2009 10:45:29 AM CLT
Last Seen                     Sun 13 Sep 2009 10:45:29 AM CLT
Local ID                      9cbc86d2-d3f1-45df-b283-5ab7b47ca408
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252853129.808:45): avc:  denied  { signull } for  pid=1346 comm="abrtd" scontext=system_u:system_r:abrt_t:s0 tcontext=unconfined_u:system_r:rpm_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1252853129.808:45): arch=c000003e syscall=62 success=yes exit=0 a0=154a a1=0 a2=542 a3=7fff2efdd820 items=0 ppid=1 pid=1346 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0 key=(null)


audit2allow suggests:

#============= abrt_t ==============
allow abrt_t rpm_t:process signull;

Comment 1 Daniel Walsh 2009-09-14 16:19:24 UTC
Fixed in selinux-policy-3.6.31-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.